Summary: S.M.A.R.T. control and monitoring of ATA/SCSI harddisks
Name: smartmontools
Version: 5.36
Release: 2tr
License: GPL
Group: Trustix Official
Source: %{name}-%{version}.tar.gz
Source1: smartd.init
URL: http://smartmontools.sourceforge.net/
Prereq: /sbin/chkconfig /sbin/restart_maybe
BuildRoot: %{_tmppath}/%{name}-root

%description
smartmontools contains utilities that control and monitor storage
devices using the Self-Monitoring, Analysis and Reporting Technology
(S.M.A.R.T.) system build into ATA and SCSI Hard Drives. This is used
to check the reliability of the hard drive and to predict drive
failure

%prep
%setup -q 

%build
CFLAGS="$RPM_OPT_FLAGS" %configure --prefix=%{_prefix} \
			   --sbindir=%{_sbindir} \
			   --sysconfdir=%{_sysconfdir} \
			   --mandir=%{_mandir} \
			   --with-initscriptdir=%{_initdir}
make CFLAGS="$RPM_OPT_FLAGS"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
make CFLAGS="$RPM_OPT_FLAGS" DESTDIR=$RPM_BUILD_ROOT smartd smartctl install
rm -rf $RPM_BUILD_ROOT/etc/init.d/smartd
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/smartd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add smartd
# Restart service after upgrade
/sbin/restart_maybe smartd

%preun
if [ "$1" = "0" ]; then
        /etc/init.d/smartd stop 2> /dev/null > /dev/null || :
        /sbin/chkconfig --del smartd
fi

%files
%defattr(-,root,root,0755)
%doc CHANGELOG README TODO
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/init.d/smartd
%attr(640,root,root) %config(noreplace) /etc/*.conf
%{_mandir}/man5/*
%{_mandir}/man8/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Tue Jun 20 2006 Bipin S <bipin at trustix dot org> 5.36-1tr
- Initial version for TSL-3.0.5

* Fri Feb 17 2006 Ajith Thampi <ajith at trustix dot org> 5.33-2tr
- Imported from TSL 2.2
- Rebuilt
		
* Fri Sep 24 2004 Syed Shabir <syedshabir at comodo dot com> 5.33-1tr
- Initial spec file for TSL-2.2
